Bug 990564 - OpenJDK version deployed to OpenShift afflicted by upstream Oracle OpenJDK regression
OpenJDK version deployed to OpenShift afflicted by upstream Oracle OpenJDK re...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Dan Mace
libra bugs
:
Depends On: 997633
Blocks: 984765
  Show dependency treegraph
 
Reported: 2013-07-31 09:11 EDT by Dan Mace
Modified: 2015-05-14 19:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-29 08:49:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Mace 2013-07-31 09:11:18 EDT
Description of problem:

The version of openjdk deployed to OpenShift (java-1.7.0-openjdk-1.7.0.25-2.3.10.4.el6_4.i686) suffers from the following upstream regression:

http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=8016814

This bug affects many popular libraries, such as log4j 2.x and Grails, causing user applications to be susceptible to CPU-spiking wedge states (of which there has already been one reported incident).

The patch for the regression is available in java-1.7.0-openjdk-1.7.0.25-2.4.1.0.el6. OpenShift must be upgraded to the new package to eliminate the regression and bring the installed openjdk to parity with Oracle's implementation.
Comment 1 Dan Mace 2013-07-31 15:49:36 EDT
Upstream OpenJDK bug: https://bugzilla.redhat.com/show_bug.cgi?id=976693
Comment 2 Dan Mace 2013-08-21 15:07:48 EDT
The OpenJDK package used by OpenShift has been updated to java-1.7.0-openjdk-1.7.0.25-2.4.1.1.el6.i686 which contains the regression fix.
Comment 3 Meng Bo 2013-08-22 05:58:07 EDT
Checked on latest devenv_3684, the openjdk version is 1.7.0.25-2.4 now 

Move bug to verified.


[root@ip-10-179-21-14 ~]# rpm -qa|grep openjdk
java-1.7.0-openjdk-1.7.0.25-2.4.1.1.el6.i686
java-1.6.0-openjdk-devel-1.6.0.0-1.62.1.11.11.90.el6_4.i686
java-1.6.0-openjdk-1.6.0.0-1.62.1.11.11.90.el6_4.i686
java-1.7.0-openjdk-devel-1.7.0.25-2.4.1.1.el6.i686

Note You need to log in before you can comment on or make changes to this bug.